
#include <Windows.h>
#include <Platform/PlatformMisc.h>

void PlatformMisc::GetDisplayModes(std::vector<DisplayMode>& modes)
{
	DEVMODE dev;

	for(int i = 0; EnumDisplaySettings(NULL, i, &dev); i++) {
		DisplayMode mode(dev.dmPelsWidth, dev.dmPelsHeight, dev.dmBitsPerPel);
		modes.push_back(mode);
	}
}

DisplayMode PlatformMisc::GetDesktopMode()
{
	DEVMODE dev;
	if (EnumDisplaySettings(NULL, ENUM_CURRENT_SETTINGS, &dev)) {
		return DisplayMode(dev.dmPelsWidth, dev.dmPelsHeight, dev.dmBitsPerPel);
	}
	return DisplayMode();
}
